Bug 1511505 - [RFE] provide a job template to ease host migrations to puppet4
Summary: [RFE] provide a job template to ease host migrations to puppet4
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Remote Execution
Version: 6.3.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified vote
Target Milestone: Unspecified
Assignee: satellite6-bugs
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-09 13:30 UTC by Lukas Pramuk
Modified: 2018-02-14 19:43 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-11-10 20:11:49 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Lukas Pramuk 2017-11-09 13:30:45 UTC
Description of problem:
Host migration to puppet4 requires couple of manual steps - https://puppet.com/docs/puppet/4.10/upgrade_major_agent.html#upgrade-manually-or-build-your-own-automation

To simplify this process and to facilitate the process for multiple set of hosts we shall provide new job template (or any other tooling) that will carry out the steps in favor of users. 

Version-Release number of selected component (if applicable):
Satellite 6.3.0 Beta

Actual results:
manual steps

Expected results:
automated process

Comment 5 Bryan Kearney 2017-11-10 20:11:49 UTC
Thank you for your interest in Satellite 6. We have evaluated this request, and we do not expect this to be implemented in product in the forseeable future. We are therefore closing this out as WONTFIX. If you have any concerns about this, please feel free to contact Rich Jerrido or Bryan Kearney. Thank you.

Comment 7 Lukas Pramuk 2018-02-14 19:43:16 UTC
To upgrade puppet host the following steps need to be run:

subscription-manager repos --enable rhel-7-server-satellite-tools-6-puppet-upgrade-rpms
yum -y upgrade
cp -rfp /var/lib/puppet/ssl /etc/puppetlabs/puppet
cp -fp /etc/puppet/puppet.conf.rpmsave /etc/puppetlabs/puppet/puppet.conf
service puppet restart


Note You need to log in before you can comment on or make changes to this bug.